| Disk ARchive 2.8.1 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Macros | Functions
my_getopt_long.h File Reference
CMDLINE

may lead to the definition of getopt_long to solve declaration conflicts in <unistd.h> and <getopt.h> More...

Go to the source code of this file.

## Macros
#define | no_argument 0
#define | required_argument 1
#define | optional_argument 2

## Functions
int | getopt_long (int __argc, char *const *__argv, const char *__shortopts, const struct option *__longopts, int *__longind)

## Detailed Description

may lead to the definition of getopt_long to solve declaration conflicts in <unistd.h> and <getopt.h>

Definition in file my_getopt_long.h.

## Macro Definition Documentation

## ◆ no_argument

#define no_argument 0

Definition at line 48 of file my_getopt_long.h.

## ◆ optional_argument

#define optional_argument 2

Definition at line 50 of file my_getopt_long.h.

## ◆ required_argument

#define required_argument 1

Definition at line 49 of file my_getopt_long.h.